Last Comment Bug 506249 - JavaScript error: chrome://global/content/bindings/tree.xml, line 1038: Permission denied to create wrapper for object
: JavaScript error: chrome://global/content/bindings/tree.xml, line 1038: Permi...
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Blake Kaplan (:mrbkap)
:
Mentors:
Depends on: 502959
Blocks: 503926
  Show dependency treegraph
 
Reported: 2009-07-24 07:21 PDT by neil@parkwaycc.co.uk
Modified: 2010-02-10 12:41 PST (History)
7 users (show)
mbeltzner: blocking1.9.0.19-
dveditz: wanted1.9.0.x+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.8+
.8-fixed


Attachments
Test case (14.12 KB, application/vnd.mozilla.xul+xml)
2009-07-24 07:21 PDT, neil@parkwaycc.co.uk
no flags Details

Description neil@parkwaycc.co.uk 2009-07-24 07:21:27 PDT
Created attachment 390458 [details]
Test case

Steps to reproduce problem:
1. Turn on signed.applets.codebase_principal_support
2. Load the attachment
3 [review]. Try to interact with the tree (e.g. click a twisty)

Expected results: Tree responds

Actual result: JavaScript error

Believed to be a regression from bug 503926.
Comment 1 Blake Kaplan (:mrbkap) 2009-08-06 17:15:22 PDT
Neil, as far as I can tell, this regression is actually fixed by my patch for bug 502959.
Comment 2 Blake Kaplan (:mrbkap) 2009-08-19 09:15:13 PDT
Calling this fixed by http://hg.mozilla.org/mozilla-central/rev/5c751b13e16a
Comment 3 Johnny Stenback (:jst, jst@mozilla.com) 2010-01-12 17:01:02 PST
Reassigning to mrbkap given that he'll be taking care of fixing this as part of bug 502959.
Comment 4 Daniel Veditz [:dveditz] 2010-01-22 13:07:52 PST
Blocking on 1.9.0.18 even though fixed in another bug so QA can verify this does not regress.
Comment 5 Mike Beltzner [:beltzner, not reading bugmail] 2010-01-26 10:51:01 PST
(In reply to comment #1)
> Neil, as far as I can tell, this regression is actually fixed by my patch for
> bug 502959.

Should this be marked status1.9.1:.8-fixed, then?
Comment 6 Blake Kaplan (:mrbkap) 2010-01-26 13:03:18 PST
Oops, yes.

Note You need to log in before you can comment on or make changes to this bug.